@echo off
rem ### erzeugt die H+H NFS-Server Firewallregeln lokal 
rem ### Windows Server 2008 Standard SP1 ###
rem ' AUTHOR: Andr Becker , H+H Software
rem ' DATE  : 03.01.2009


ver| find "6.0" > nul
if %ERRORLEVEL% ==0 goto ver_2008


echo Machine OS version undetermined.
goto exit


:ver_2008
rem Run Windows NT-specific commands here.

echo Operating System: "Windows Server 2008"



netsh advfirewall firewall show rule name="H+H NetMan Services" | find "H+H NetMan Services" > nul

if %ERRORLEVEL% ==0 echo Firewall Rule "H+H NetMan Services" already exist !

if %ERRORLEVEL% ==0 goto next


netsh advfirewall firewall add rule name="H+H NetMan Services" dir=in protocol=tcp localport=9200,9201,9202 profile=domain action=allow


echo Firewall Rule "H+H NetMan Services" is created !



:next

netsh advfirewall firewall show rule name="H+H Webservices"| find "H+H Webservices" > nul

if %ERRORLEVEL% ==0 echo Firewall Rule "H+H Webservices" already exist !

if %ERRORLEVEL% ==0 goto exit


netsh advfirewall firewall add rule name="H+H Webservices" dir=in protocol=tcp localport=9280,80,443,444 profile=domain action=allow


echo Firewall Rule "H+H Webservices" is created !


:exit

eventcreate /S \\localhost /L System /T Information /SO  "H+H ASB Firewall Rules" /D ### H+H Software  # allows local  inbound traffic # firewall rules creation - domainprofile ### /ID 888

exit